If I insert a link to one of the page's anchor then it appears as a bold text not as a link
Closed, ResolvedPublic1 Story Points

Description

In the 2017 wikitext editor

  1. When I insert a link to a paragraph of the page what I'm editing currently
  2. The link appears in the preview mod as a bold text, not a link
  3. Despite of it, the editor saves it correctly

See this video. I was editing "Wikipédia:Kocsmafal (műszaki)" page and I wanted to insert a link to its "Wikipédia:Kocsmafal (műszaki)#Tech News: 2017-29" paragraph. The problem doesn't affect other pages or namespaces, it appears only then when I want that the page links to itself.

Bencemac created this task.Jul 18 2017, 3:35 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 18 2017, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Low priority.Jul 18 2017, 7:04 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana added a subscriber: Deskana.

Although this looks weird when you're previewing or still in VisualEditor, it does save correctly.

Change 366286 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] LinkCache: parsoid element styling, detect selflink fragments

https://gerrit.wikimedia.org/r/366286

Change 366286 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] LinkCache: parsoid element styling, detect selflink fragments

https://gerrit.wikimedia.org/r/366286

Deskana assigned this task to DLynch.Jul 19 2017, 7:21 PM
Deskana set the point value for this task to 1.
Deskana closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 19 2017, 7:21 PM
Jdforrester-WMF renamed this task from If I insert a link to one of the page's paragraph then it appears as a bold text not as a link to If I insert a link to one of the page's anchor then it appears as a bold text not as a link.Jul 24 2017, 4:10 PM
Jdforrester-WMF removed a project: Patch-For-Review.